Subject: RE: atom_to_term

From: "Douglas Miles (Volt Computer)" <[email-masked]>
Date: Fri, 30 Jun 2000 14:32:03 -0700

How was '(s(np(I),vp(verb(go),np(home))))' constructed?

If you want to do this by hand then
possibly the representation you want is

'(s(np(\'I\'),vp(verb(go),np(home))))'

-Douglas

-----Original Message-----
From: Rinke Hoekstra [mailto:[email-masked]]
Sent: Friday, June 30, 2000 8:43 AM
To: Prolog Mailing List
Subject: Re: atom_to_term

Hi Andreas,

Fiddling about with Prolog for a bit resulted in the following:

?- atom_to_term('(s(np(I),vp(verb(go),np(home))))',X,['I'=I]).

X = s(np(_G487), vp(verb(go), np(home)))
I = _G487 
Yes
?-

Is this what you wanted?

Regards,

    Rinke Hoekstra

========================================
Rinke J. Hoekstra
Dept. of Computer Science and Law
University of Amsterdam, The Netherlands
[email-masked]
========================================

----------------
* To UNSUBSCRIBE, please use the HTML form at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist

or send mail to [email-masked] using the Subject:
"unsubscribe"
(without the quotes) and *no* message body.

** An ARCHIVE of this list is maintained at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/